// ************************************************************************
// ******************************  common  ********************************
// ************************************************************************
// ************************************************************************

textures/happyicejumps/caulk_nodamage
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/happyicejumps/caulk_nonsolid
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
}

textures/happyicejumps/caulk_slick
{
	qer_trans 0.4
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
}

textures/happyicejumps/caulk_water
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}


// ************************************************************************
// *******************************  sky  **********************************
// ************************************************************************
// ************************************************************************

textures/happyicejumps/blacksky
{
	qer_editorimage textures/happyicejumps/blacksky_ft.tga
	q3map_lightmapFilterRadius 0 4
	q3map_lightsubdivide 256
	q3map_backsplash 0 0
	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nodamage

	skyparms textures/happyicejumps/blacksky - -

	nopicmip
	nomipmaps
}

// ************************************************************************
// *****************************  crystal  ********************************
// ************************************************************************
// ************************************************************************

textures/happyicejumps/crystal
{	
	qer_editorimage textures/happyicejumps/crystal.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm nodamage
	q3map_surfaceLight 500
	cull none
	{
		map textures/happyicejumps/crystal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/happyicejumps/crystal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		depthFunc equal
	}
}

// ************************************************************************
// *******************************  slick  ********************************
// ************************************************************************
// ************************************************************************

textures/happyicejumps/ice
{
	qer_editorimage textures/happyicejumps/ice.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm nodamage
	surfaceparm slick
	q3map_bounceScale 0.0
	cull none
	{
		map textures/happyicejumps/ice.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
	}
	{
		map textures/happyicejumps/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/happyicejumps/ice_nonsolid
{
	qer_editorimage textures/happyicejumps/ice.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_bounceScale 0.0
	cull none
	{
		map textures/happyicejumps/ice.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
	}
	{
		map textures/happyicejumps/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

// ************************************************************************
// *******************************  water  ********************************
// ************************************************************************
// ************************************************************************

textures/happyicejumps/water
{
	qer_editorimage textures/happyicejumps/water1.tga
	qer_trans 0.5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_bounceScale 0.0
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/happyicejumps/water1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/happyicejumps/water2.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}


	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}


// ************************************************************************
// *****************************  nonsolid  *******************************
// ************************************************************************
// ************************************************************************

textures/happyicejumps/snow_nonsolid:q3map
{
	surfaceparm nonsolid
}

// ************************************************************************
// *****************************  nodamage  *******************************
// ************************************************************************
// ************************************************************************

textures/happyicejumps/frost:q3map
{
	surfaceparm nodamage
}

textures/happyicejumps/snow:q3map
{
	surfaceparm nodamage
}
